#ifndef PTZ_DRIVER_H__
#define PTZ_DRIVER_H__

typedef struct {
    int device_id;
    float pan_max_speed;
    float pan_accel;
    float pan_initial;
    float pan_min;
    float pan_max;
    float tilt_max_speed;
    float tilt_accel;
    float tilt_initial;
    float tilt_min;
    float tilt_max;
} ptz_config_t;

void ptz_driver_pwm_hz(void);
void ptz_driver_init(void);
void ptz_driver_stop(void);
void ptz_driver_change(int *buf);
void ptz_driver_task_function(void *arg);

#endif
